Missing dependency on neutron-lib, neutron

Bug #1693606 reported by Dustin on 2017-05-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
networking-infoblox
Undecided
Unassigned

Bug Description

>> sudo pip install infoblox-client

Collecting infoblox-client
  Downloading infoblox_client-0.4.14-py2.py3-none-any.whl
Requirement already satisfied (use --upgrade to upgrade): requests>=2.5.2 in /usr/lib/python2.7/dist-packages (from infoblox-client)
Requirement already satisfied (use --upgrade to upgrade): oslo.serialization>=1.4.0 in /usr/lib/python2.7/dist-packages (from infoblox-client)
Requirement already satisfied (use --upgrade to upgrade): setuptools>=17.1 in /usr/lib/python2.7/dist-packages (from infoblox-client)
Requirement already satisfied (use --upgrade to upgrade): oslo.log>=1.8.0 in /usr/lib/python2.7/dist-packages (from infoblox-client)
Requirement already satisfied (use --upgrade to upgrade): pyinotify>=0.9.5 in /usr/lib/python2.7/dist-packages (from oslo.log>=1.8.0->infoblox-client)
Installing collected packages: infoblox-client
Successfully installed infoblox-client-0.4.14

>> sudo pip install networking-infoblox

Collecting networking-infoblox
  Downloading networking_infoblox-9.0.0-py2-none-any.whl (164kB)
    100% |████████████████████████████████| 174kB 2.5MB/s
Requirement already satisfied (use --upgrade to upgrade): oslo.i18n>=2.1.0 in /usr/lib/python2.7/dist-packages (from networking-infoblox)
Requirement already satisfied (use --upgrade to upgrade): infoblox-client>=0.4.12 in /usr/local/lib/python2.7/dist-packages (from networking-infoblox)
Requirement already satisfied (use --upgrade to upgrade): Babel>=1.3 in /usr/lib/python2.7/dist-packages (from networking-infoblox)
Requirement already satisfied (use --upgrade to upgrade): requests>=2.5.2 in /usr/lib/python2.7/dist-packages (from infoblox-client>=0.4.12->networking-infoblox)
Requirement already satisfied (use --upgrade to upgrade): oslo.serialization>=1.4.0 in /usr/lib/python2.7/dist-packages (from infoblox-client>=0.4.12->networking-infoblox)
Requirement already satisfied (use --upgrade to upgrade): setuptools>=17.1 in /usr/lib/python2.7/dist-packages (from infoblox-client>=0.4.12->networking-infoblox)
Requirement already satisfied (use --upgrade to upgrade): oslo.log>=1.8.0 in /usr/lib/python2.7/dist-packages (from infoblox-client>=0.4.12->networking-infoblox)
Requirement already satisfied (use --upgrade to upgrade): pytz>=0a in /usr/lib/python2.7/dist-packages (from Babel>=1.3->networking-infoblox)
Requirement already satisfied (use --upgrade to upgrade): pyinotify>=0.9.5 in /usr/lib/python2.7/dist-packages (from oslo.log>=1.8.0->infoblox-client>=0.4.12->networking-infoblox)
Installing collected packages: networking-infoblox
Successfully installed networking-infoblox-9.0.0

>> /usr/local/bin/infoblox-ipam-agent --config-file /etc/neutron/neutron.conf --configfile
Traceback (most recent call last):
  File "/usr/local/bin/infoblox-ipam-agent", line 7, in <module>
    from networking_infoblox.neutron.cmd.eventlet.infoblox_ipam_agent import main
  File "/usr/local/lib/python2.7/dist-packages/networking_infoblox/neutron/cmd/eventlet/infoblox_ipam_agent.py", line 28, in <module>
    from networking_infoblox.neutron.common import notification
  File "/usr/local/lib/python2.7/dist-packages/networking_infoblox/neutron/common/notification.py", line 29, in <module>
    from networking_infoblox.neutron.common import grid
  File "/usr/local/lib/python2.7/dist-packages/networking_infoblox/neutron/common/grid.py", line 31, in <module>
    from networking_infoblox.neutron.common import mapping as grid_mapping
  File "/usr/local/lib/python2.7/dist-packages/networking_infoblox/neutron/common/mapping.py", line 21, in <module>
    from networking_infoblox.neutron.db import infoblox_db as dbi
  File "/usr/local/lib/python2.7/dist-packages/networking_infoblox/neutron/db/infoblox_db.py", line 28, in <module>
    from networking_infoblox.neutron.db import infoblox_models as ib_models
  File "/usr/local/lib/python2.7/dist-packages/networking_infoblox/neutron/db/infoblox_models.py", line 16, in <module>
    from neutron_lib.db import model_base
ImportError: No module named db

>> sudo pip install neutron-lib --upgrade

Collecting neutron-lib
  Downloading neutron_lib-1.7.0-py2-none-any.whl (178kB)
    100% |████████████████████████████████| 184kB 3.4MB/s
Collecting oslo.i18n>=2.1.0 (from neutron-lib)
  Downloading oslo.i18n-3.15.3-py2.py3-none-any.whl (42kB)
    100% |████████████████████████████████| 51kB 5.4MB/s
Collecting debtcollector>=1.2.0 (from neutron-lib)
  Downloading debtcollector-1.13.0-py2.py3-none-any.whl
Collecting oslo.db>=4.19.0 (from neutron-lib)
  Downloading oslo.db-4.21.1-py2.py3-none-any.whl (165kB)
    100% |████████████████████████████████| 174kB 3.8MB/s
Collecting oslo.messaging>=5.19.0 (from neutron-lib)
  Downloading oslo.messaging-5.24.2-py2-none-any.whl (357kB)
    100% |████████████████████████████████| 358kB 2.2MB/s
Collecting oslo.service>=1.10.0 (from neutron-lib)
  Downloading oslo.service-1.23.0-py2.py3-none-any.whl (72kB)
    100% |████████████████████████████████| 81kB 9.4MB/s
Collecting oslo.config>=3.22.0 (from neutron-lib)
  Downloading oslo.config-4.1.1-py2.py3-none-any.whl (103kB)
    100% |████████████████████████████████| 112kB 6.8MB/s
Collecting oslo.utils>=3.20.0 (from neutron-lib)
  Downloading oslo.utils-3.25.1-py2.py3-none-any.whl (97kB)
    100% |████████████████████████████████| 102kB 7.4MB/s
Collecting SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 (from neutron-lib)
  Downloading SQLAlchemy-1.1.10.tar.gz (5.2MB)
    100% |████████████████████████████████| 5.2MB 213kB/s
Collecting pbr!=2.1.0,>=2.0.0 (from neutron-lib)
  Downloading pbr-3.0.1-py2.py3-none-any.whl (99kB)
    100% |████████████████████████████████| 102kB 11.5MB/s
Collecting oslo.log>=3.22.0 (from neutron-lib)
  Downloading oslo.log-3.26.1-py2.py3-none-any.whl (61kB)
    100% |████████████████████████████████| 71kB 13.5MB/s
Collecting oslo.context>=2.12.0 (from neutron-lib)
  Downloading oslo.context-2.14.0-py2.py3-none-any.whl
Collecting oslo.policy>=1.17.0 (from neutron-lib)
  Downloading oslo.policy-1.22.1-py2.py3-none-any.whl (76kB)
    100% |████████████████████████████████| 81kB 12.9MB/s
Collecting oslo.concurrency>=3.8.0 (from neutron-lib)
  Downloading oslo.concurrency-3.20.0-py2.py3-none-any.whl (43kB)
    100% |████████████████████████████████| 51kB 13.0MB/s
Requirement already up-to-date: six>=1.9.0 in /usr/lib/python2.7/dist-packages (from oslo.i18n>=2.1.0->neutron-lib)
Collecting Babel!=2.4.0,>=2.3.4 (from oslo.i18n>=2.1.0->neutron-lib)
  Downloading Babel-2.3.4-py2.py3-none-any.whl (7.1MB)
    100% |████████████████████████████████| 7.1MB 155kB/s
Collecting wrapt>=1.7.0 (from debtcollector>=1.2.0->neutron-lib)
  Downloading wrapt-1.10.10.tar.gz
Collecting funcsigs>=0.4; python_version == "2.7" or python_version == "2.6" (from debtcollector>=1.2.0->neutron-lib)
  Downloading funcsigs-1.0.2-py2.py3-none-any.whl
Collecting sqlalchemy-migrate>=0.9.6 (from oslo.db>=4.19.0->neutron-lib)
  Downloading sqlalchemy_migrate-0.11.0-py2-none-any.whl (108kB)
    100% |████████████████████████████████| 112kB 10.7MB/s
Collecting alembic>=0.8.10 (from oslo.db>=4.19.0->neutron-lib)
  Downloading alembic-0.9.2.tar.gz (986kB)
    100% |████████████████████████████████| 993kB 1.4MB/s
Collecting stevedore>=1.20.0 (from oslo.db>=4.19.0->neutron-lib)
  Downloading stevedore-1.21.0-py2.py3-none-any.whl
Collecting PyYAML>=3.10.0 (from oslo.messaging>=5.19.0->neutron-lib)
  Downloading PyYAML-3.12.tar.gz (253kB)
    100% |████████████████████████████████| 256kB 4.9MB/s
Collecting cachetools>=1.1.0 (from oslo.messaging>=5.19.0->neutron-lib)
  Downloading cachetools-2.0.0-py2.py3-none-any.whl
Collecting kombu!=4.0.2,>=4.0.0 (from oslo.messaging>=5.19.0->neutron-lib)
  Downloading kombu-4.0.1-py2.py3-none-any.whl (178kB)
    100% |████████████████████████████████| 184kB 6.9MB/s
Collecting monotonic>=0.6 (from oslo.messaging>=5.19.0->neutron-lib)
  Downloading monotonic-1.3-py2.py3-none-any.whl
Collecting tenacity>=3.2.1 (from oslo.messaging>=5.19.0->neutron-lib)
  Downloading tenacity-4.1.0.tar.gz
Requirement already up-to-date: pika>=0.10.0 in /usr/lib/python2.7/dist-packages (from oslo.messaging>=5.19.0->neutron-lib)
Collecting oslo.serialization>=1.10.0 (from oslo.messaging>=5.19.0->neutron-lib)
  Downloading oslo.serialization-2.18.0-py2.py3-none-any.whl
Requirement already up-to-date: pika-pool>=0.1.3 in /usr/lib/python2.7/dist-packages (from oslo.messaging>=5.19.0->neutron-lib)
Collecting futurist!=0.15.0,>=0.11.0 (from oslo.messaging>=5.19.0->neutron-lib)
  Downloading futurist-1.1.0-py2.py3-none-any.whl
Collecting WebOb>=1.7.1 (from oslo.messaging>=5.19.0->neutron-lib)
  Downloading WebOb-1.7.2-py2.py3-none-any.whl (83kB)
    100% |████████████████████████████████| 92kB 11.9MB/s
Collecting amqp!=2.1.4,>=2.1.0 (from oslo.messaging>=5.19.0->neutron-lib)
  Downloading amqp-2.1.3-py2.py3-none-any.whl (48kB)
    100% |████████████████████████████████| 51kB 12.2MB/s
Collecting oslo.middleware>=3.10.0 (from oslo.messaging>=5.19.0->neutron-lib)
  Downloading oslo.middleware-3.27.0-py2.py3-none-any.whl (59kB)
    100% |████████████████████████████████| 61kB 12.4MB/s
Collecting futures>=3.0; python_version == "2.7" or python_version == "2.6" (from oslo.messaging>=5.19.0->neutron-lib)
  Downloading futures-3.1.1-py2-none-any.whl
Collecting Paste (from oslo.service>=1.10.0->neutron-lib)
  Downloading Paste-2.0.3-py2-none-any.whl (625kB)
    100% |████████████████████████████████| 634kB 2.1MB/s
Collecting eventlet!=0.18.3,>=0.18.2 (from oslo.service>=1.10.0->neutron-lib)
  Downloading eventlet-0.21.0-py2.py3-none-any.whl (403kB)
    100% |████████████████████████████████| 409kB 3.4MB/s
Collecting greenlet>=0.3.2 (from oslo.service>=1.10.0->neutron-lib)
  Downloading greenlet-0.4.12-cp27-cp27mu-manylinux1_x86_64.whl (41kB)
    100% |████████████████████████████████| 51kB 13.1MB/s
Collecting Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3; python_version == "2.7" (from oslo.service>=1.10.0->neutron-lib)
  Downloading Routes-2.4.1-py2.py3-none-any.whl (48kB)
    100% |████████████████████████████████| 51kB 11.8MB/s
Requirement already up-to-date: PasteDeploy>=1.5.0 in /usr/lib/python2.7/dist-packages (from oslo.service>=1.10.0->neutron-lib)
Collecting rfc3986>=0.3.1 (from oslo.config>=3.22.0->neutron-lib)
  Downloading rfc3986-1.0.0-py2.py3-none-any.whl
Collecting netaddr!=0.7.16,>=0.7.13 (from oslo.config>=3.22.0->neutron-lib)
  Downloading netaddr-0.7.19-py2.py3-none-any.whl (1.6MB)
    100% |████████████████████████████████| 1.6MB 849kB/s
Collecting netifaces>=0.10.4 (from oslo.utils>=3.20.0->neutron-lib)
  Downloading netifaces-0.10.5.tar.gz
Collecting pyparsing>=2.1.0 (from oslo.utils>=3.20.0->neutron-lib)
  Downloading pyparsing-2.2.0-py2.py3-none-any.whl (56kB)
    100% |████████████████████████████████| 61kB 11.4MB/s
Requirement already up-to-date: iso8601>=0.1.11 in /usr/lib/python2.7/dist-packages (from oslo.utils>=3.20.0->neutron-lib)
Collecting pytz>=2013.6 (from oslo.utils>=3.20.0->neutron-lib)
  Downloading pytz-2017.2-py2.py3-none-any.whl (484kB)
    100% |████████████████████████████████| 491kB 2.6MB/s
Requirement already up-to-date: pyinotify>=0.9.6; sys_platform != "win32" and sys_platform != "darwin" and sys_platform != "sunos5" in /usr/lib/python2.7/dist-packages (from oslo.log>=3.22.0->neutron-lib)
Collecting python-dateutil>=2.4.2 (from oslo.log>=3.22.0->neutron-lib)
  Downloading python_dateutil-2.6.0-py2.py3-none-any.whl (194kB)
    100% |████████████████████████████████| 194kB 5.2MB/s
Collecting positional>=1.1.1 (from oslo.context>=2.12.0->neutron-lib)
  Downloading positional-1.1.1.tar.gz
Collecting requests!=2.12.2,!=2.13.0,>=2.10.0 (from oslo.policy>=1.17.0->neutron-lib)
  Downloading requests-2.14.2-py2.py3-none-any.whl (560kB)
    100% |████████████████████████████████| 563kB 2.4MB/s
Collecting enum34; python_version == "2.7" or python_version == "2.6" or python_version == "3.3" (from oslo.concurrency>=3.8.0->neutron-lib)
  Downloading enum34-1.1.6-py2-none-any.whl
Collecting fasteners>=0.7 (from oslo.concurrency>=3.8.0->neutron-lib)
  Downloading fasteners-0.14.1-py2.py3-none-any.whl
Collecting sqlparse (from sqlalchemy-migrate>=0.9.6->oslo.db>=4.19.0->neutron-lib)
  Downloading sqlparse-0.2.3-py2.py3-none-any.whl
Collecting decorator (from sqlalchemy-migrate>=0.9.6->oslo.db>=4.19.0->neutron-lib)
  Downloading decorator-4.0.11-py2.py3-none-any.whl
Requirement already up-to-date: Tempita>=0.4 in /usr/lib/python2.7/dist-packages (from sqlalchemy-migrate>=0.9.6->oslo.db>=4.19.0->neutron-lib)
Collecting Mako (from alembic>=0.8.10->oslo.db>=4.19.0->neutron-lib)
  Downloading Mako-1.0.6.tar.gz (575kB)
    100% |████████████████████████████████| 583kB 2.4MB/s
Collecting python-editor>=0.3 (from alembic>=0.8.10->oslo.db>=4.19.0->neutron-lib)
  Downloading python-editor-1.0.3.tar.gz
Collecting msgpack-python>=0.4.0 (from oslo.serialization>=1.10.0->oslo.messaging>=5.19.0->neutron-lib)
  Downloading msgpack-python-0.4.8.tar.gz (113kB)
    100% |████████████████████████████████| 122kB 9.5MB/s
Collecting contextlib2>=0.4.0 (from futurist!=0.15.0,>=0.11.0->oslo.messaging>=5.19.0->neutron-lib)
  Downloading contextlib2-0.5.5-py2.py3-none-any.whl
Requirement already up-to-date: PrettyTable<0.8,>=0.7.1 in /usr/lib/python2.7/dist-packages (from futurist!=0.15.0,>=0.11.0->oslo.messaging>=5.19.0->neutron-lib)
Collecting vine>=1.1.3 (from amqp!=2.1.4,>=2.1.0->oslo.messaging>=5.19.0->neutron-lib)
  Downloading vine-1.1.3-py2.py3-none-any.whl
Collecting statsd>=3.2.1 (from oslo.middleware>=3.10.0->oslo.messaging>=5.19.0->neutron-lib)
  Downloading statsd-3.2.1-py2.py3-none-any.whl
Collecting Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 (from oslo.middleware>=3.10.0->oslo.messaging>=5.19.0->neutron-lib)
  Downloading Jinja2-2.9.6-py2.py3-none-any.whl (340kB)
    100% |████████████████████████████████| 348kB 5.5MB/s
Collecting enum-compat (from eventlet!=0.18.3,>=0.18.2->oslo.service>=1.10.0->neutron-lib)
  Downloading enum-compat-0.0.2.tar.gz
Requirement already up-to-date: repoze.lru>=0.3 in /usr/lib/python2.7/dist-packages (from Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3; python_version == "2.7"->oslo.service>=1.10.0->neutron-lib)
Collecting MarkupSafe>=0.9.2 (from Mako->alembic>=0.8.10->oslo.db>=4.19.0->neutron-lib)
  Downloading MarkupSafe-1.0.tar.gz
Installing collected packages: pbr, pytz, Babel, oslo.i18n, wrapt, funcsigs, debtcollector, SQLAlchemy, sqlparse, decorator, sqlalchemy-migrate, positional, oslo.context, rfc3986, stevedore, netaddr, oslo.config, MarkupSafe, Mako, python-editor, python-dateutil, alembic, monotonic, netifaces, pyparsing, oslo.utils, oslo.db, WebOb, Paste, greenlet, enum34, enum-compat, eventlet, Routes, msgpack-python, oslo.serialization, oslo.log, fasteners, oslo.concurrency, oslo.service, PyYAML, cachetools, vine, amqp, kombu, futures, tenacity, contextlib2, futurist, statsd, Jinja2, oslo.middleware, oslo.messaging, requests, oslo.policy, neutron-lib
  Found existing installation: pbr 1.8.0
    Not uninstalling pbr at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: pytz 2014.10
    Not uninstalling pytz at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: Babel 1.3
    Not uninstalling babel at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: oslo.i18n 3.5.0
    Not uninstalling oslo.i18n at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: wrapt 1.8.0
    Not uninstalling wrapt at /usr/lib/python2.7/dist-packages, outside environment /usr
  Running setup.py install for wrapt ... done
  Found existing installation: funcsigs 0.4
    Not uninstalling funcsigs at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: debtcollector 1.3.0
    Not uninstalling debtcollector at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: SQLAlchemy 1.0.11
    Not uninstalling sqlalchemy at /usr/lib/python2.7/dist-packages, outside environment /usr
  Running setup.py install for SQLAlchemy ... done
  Found existing installation: sqlparse 0.1.18
    Not uninstalling sqlparse at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: decorator 4.0.6
    Not uninstalling decorator at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: sqlalchemy-migrate 0.10.0
    Not uninstalling sqlalchemy-migrate at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: positional 1.0.1
    Not uninstalling positional at /usr/lib/python2.7/dist-packages, outside environment /usr
  Running setup.py install for positional ... done
  Found existing installation: oslo.context 2.2.0
    Not uninstalling oslo.context at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: stevedore 1.12.0
    Not uninstalling stevedore at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: netaddr 0.7.18
    Not uninstalling netaddr at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: oslo.config 3.9.0
    Not uninstalling oslo.config at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: MarkupSafe 0.23
    Not uninstalling markupsafe at /usr/lib/python2.7/dist-packages, outside environment /usr
  Running setup.py install for MarkupSafe ... done
  Found existing installation: Mako 1.0.3
    Not uninstalling mako at /usr/lib/python2.7/dist-packages, outside environment /usr
  Running setup.py install for Mako ... done
  Running setup.py install for python-editor ... done
  Found existing installation: python-dateutil 2.4.2
    Not uninstalling python-dateutil at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: alembic 0.8.2.dev0
    Not uninstalling alembic at /usr/lib/python2.7/dist-packages, outside environment /usr
  Running setup.py install for alembic ... done
  Found existing installation: monotonic 0.6
    Not uninstalling monotonic at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: netifaces 0.10.4
    Not uninstalling netifaces at /usr/lib/python2.7/dist-packages, outside environment /usr
  Running setup.py install for netifaces ... done
  Found existing installation: pyparsing 2.0.3
    Not uninstalling pyparsing at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: oslo.utils 3.8.0
    Not uninstalling oslo.utils at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: oslo.db 4.7.0
    Not uninstalling oslo.db at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: WebOb 1.5.1
    Not uninstalling webob at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: Paste 1.7.5.1
    Not uninstalling paste at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: greenlet 0.4.9
    Not uninstalling greenlet at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: enum34 1.1.2
    Not uninstalling enum34 at /usr/lib/python2.7/dist-packages, outside environment /usr
  Running setup.py install for enum-compat ... done
  Found existing installation: eventlet 0.18.4
    Not uninstalling eventlet at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: Routes 2.2
    Not uninstalling routes at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: msgpack-python 0.4.6
    Not uninstalling msgpack-python at /usr/lib/python2.7/dist-packages, outside environment /usr
  Running setup.py install for msgpack-python ... done
  Found existing installation: oslo.serialization 2.4.0
    Not uninstalling oslo.serialization at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: oslo.log 3.2.0
    Not uninstalling oslo.log at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: fasteners 0.12.0
    Not uninstalling fasteners at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: oslo.concurrency 3.7.1
    Not uninstalling oslo.concurrency at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: oslo.service 1.8.0
    Not uninstalling oslo.service at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: PyYAML 3.11
    Not uninstalling pyyaml at /usr/lib/python2.7/dist-packages, outside environment /usr
  Running setup.py install for PyYAML ... done
  Found existing installation: cachetools 1.1.5
    Not uninstalling cachetools at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: amqp 1.4.9
    Not uninstalling amqp at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: kombu 3.0.33
    Not uninstalling kombu at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: futures 3.0.5
    Not uninstalling futures at /usr/lib/python2.7/dist-packages, outside environment /usr
  Running setup.py install for tenacity ... done
  Found existing installation: contextlib2 0.5.1
    Not uninstalling contextlib2 at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: futurist 0.13.0
    Not uninstalling futurist at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: Jinja2 2.8
    Not uninstalling jinja2 at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: oslo.middleware 3.8.0
    Not uninstalling oslo.middleware at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: oslo.messaging 4.6.1
    Not uninstalling oslo.messaging at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: requests 2.9.1
    Not uninstalling requests at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: oslo.policy 1.6.0
    Not uninstalling oslo.policy at /usr/lib/python2.7/dist-packages, outside environment /usr
  Found existing installation: neutron-lib 0.0.2
    Not uninstalling neutron-lib at /usr/lib/python2.7/dist-packages, outside environment /usr
Successfully installed Babel-2.3.4 Jinja2-2.9.6 Mako-1.0.6 MarkupSafe-1.0 Paste-2.0.3 PyYAML-3.12 Routes-2.4.1 SQLAlchemy-1.1.10 WebOb-1.7.2 alembic-0.9.2 amqp-2.1.3 cachetools-2.0.0 contextlib2-0.5.5 debtcollector-1.13.0 decorator-4.0.11 enum-compat-0.0.2 enum34-1.1.6 eventlet-0.21.0 fasteners-0.14.1 funcsigs-1.0.2 futures-3.1.1 futurist-1.1.0 greenlet-0.4.12 kombu-4.0.1 monotonic-1.3 msgpack-python-0.4.8 netaddr-0.7.19 netifaces-0.10.5 neutron-lib-1.7.0 oslo.concurrency-3.20.0 oslo.config-4.1.1 oslo.context-2.14.0 oslo.db-4.21.1 oslo.i18n-3.15.3 oslo.log-3.26.1 oslo.messaging-5.24.2 oslo.middleware-3.27.0 oslo.policy-1.22.1 oslo.serialization-2.18.0 oslo.service-1.23.0 oslo.utils-3.25.1 pbr-3.0.1 positional-1.1.1 pyparsing-2.2.0 python-dateutil-2.6.0 python-editor-1.0.3 pytz-2017.2 requests-2.14.2 rfc3986-1.0.0 sqlalchemy-migrate-0.11.0 sqlparse-0.2.3 statsd-3.2.1 stevedore-1.21.0 tenacity-4.1.0 vine-1.1.3 wrapt-1.10.10

>> /usr/local/bin/infoblox-ipam-agent --config-file /etc/neutron/neutron.conf --configfile
Traceback (most recent call last):
  File "/usr/local/bin/infoblox-ipam-agent", line 7, in <module>
    from networking_infoblox.neutron.cmd.eventlet.infoblox_ipam_agent import main
  File "/usr/local/lib/python2.7/dist-packages/networking_infoblox/neutron/cmd/eventlet/infoblox_ipam_agent.py", line 24, in <module>
    from neutron.agent.common import config as agent_conf
  File "/usr/lib/python2.7/dist-packages/neutron/agent/common/config.py", line 21, in <module>
    from neutron.common import config
  File "/usr/lib/python2.7/dist-packages/neutron/common/config.py", line 220, in <module>
    set_db_defaults()
  File "/usr/lib/python2.7/dist-packages/neutron/common/config.py", line 218, in set_db_defaults
    max_overflow=20, pool_timeout=10)
TypeError: set_defaults() got an unexpected keyword argument 'sqlite_db'

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers